<head>

  <link rel="stylesheet" href="res/css/tree.css">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans|Raleway" rel="stylesheet">

  <script>var runOnLoad=function(c,o,d,e){function x(){for(e=1;c.length;)c.shift()()}o[d]?(document[d]('DOMContentLoaded',x,0),o[d]('load',x,0)):o.attachEvent('onload',x);return function(t){e?o.setTimeout(t,0):c.push(t)}}([],window,'addEventListener');</script>

  <script type="text/javascript" src="res/js/CollapsibleLists.src.js">

  </script>
  <script type="text/javascript">
    runOnLoad(function(){ CollapsibleLists.apply(); });
  </script>
</head>
<body>
  <div class="summary-button">
      <a id="treeNav" href="Full-Report.html">View Summary</a>
  </div>
<ul class="collapsibleList" >
  <div id="prevTree">Previous Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 52,312 Type(class): ViewGroup ID: com.tortel.syslog:id/root Name:  Type(class): ViewGroup Rectangle: 1096,1248
</span><ul><li style="color:red;" class="m-wrap"> Level 1: Start Pos: 100,360 Type(class): TextView ID: com.tortel.syslog:id/title Name: SysLog FAQ Type(class): TextView Rectangle: 1000,54
</span></li></ul><ul><li style="color:red;" class="m-wrap"> Level 1: Start Pos: 62,448 Type(class): TextView ID: com.tortel.syslog:id/text Name: Why does SysLog need root access?

Starting with Android 4.1, the system logs were restricted to system applications only. Don't fret, thats a good thing!That means that without root access, your logs are secure.
I take root access seriously. SysLog is licensed under the GPL, and you can review the commands run within this file.

Why is the last kernel log grayed out?

Your device's kernel needs to support the last log feature, and SysLog checks for the '/proc/last_kmsg' file at start. Even if your kernel supports the feature, it may only save the log during a kernel crash. Check for more details with the maintainer of the kernel/ROM you use.

What is Grep?

Grep is a Unix utility to match lines based on regular expressions. If you are not familiar with it, I would not recommend using it. For more details, check the help page. 

What information gets scrubbed?

The scrubber uses a set of regular expressions to scrub out email addresses, phone numbers, URLs, IP addresses, serial number, and some basic phone and user information. For more details, you can view the source.

 Type(class): TextView Rectangle: 1076,974
</span></li></ul><ul><li style="color:red;" class="m-wrap"> Level 1: Start Pos: 980,1448 Type(class): TextView ID: com.tortel.syslog:id/buttonDefaultPositive Name: Close Type(class): TextView Rectangle: 144,96
</span></li></ul></li><div class="buffer"></div></ul><ul class="collapsibleList"><div id="newTree">New Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 154,279 Type(class): ViewGroup ID: com.tortel.syslog:id/md_root Name:  Type(class): ViewGroup Rectangle: 892,1314
</span><ul><li style="color:red;" class="m-wrap"> Level 1: Start Pos: 202,327 Type(class): TextView ID: com.tortel.syslog:id/md_title Name: SysLog FAQ Type(class): TextView Rectangle: 796,54
</span></li></ul><ul><li style="color:red;" class="m-wrap"> Level 1: Start Pos: 164,415 Type(class): TextView ID: com.tortel.syslog:id/text Name: Why does SysLog need root access?

Starting with Android 4.1, the system logs were restricted to system applications only. Don't fret, thats a good thing!That means that without root access, your logs are secure.
I take root access seriously. SysLog is licensed under the GPL, and you can review the commands run within this file.

Why is the last kernel log grayed out?

Your device's kernel needs to support the last log feature, and SysLog checks for the '/proc/last_kmsg' file at start. Even if your kernel supports the feature, it may only save the log during a kernel crash. Check for more details with the maintainer of the kernel/ROM you use.

What is Grep?

Grep is a Unix utility to match lines based on regular expressions. If you are not familiar with it, I would not recommend using it. For more details, check the help page. 

What information gets scrubbed?

The scrubber uses a set of regular expressions to scrub out email addresses, phone numbers, URLs, IP addresses, serial number, and some basic phone and user information. For more details, you can view the source.

 Type(class): TextView Rectangle: 872,1040
</span></li></ul><ul><li style="color:red;" class="m-wrap"> Level 1: Start Pos: 878,1481 Type(class): TextView ID: com.tortel.syslog:id/md_buttonDefaultPositive Name: Close Type(class): TextView Rectangle: 144,96
</span></li></ul></li><div class="buffer"></div></ul>
</ul>

<script type="text/javascript">
  function colorChange(names){
    for (var name in names){
      var list = document.getElementsByClassName(name);
      if (list[0].innerHTML != list[1].innerHTML){
          list[0].style.color = "gray";
          list[1].style.color = "gray";
      }
    }
  }
  var names = ["0","1"];
  colorChange(names);
</script>
</body>
